Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Move GRAS tests to TESH
[simgrid.git] / teshsuite / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 VPATH = @srcdir@
23 pkgdatadir = $(datadir)/@PACKAGE@
24 pkglibdir = $(libdir)/@PACKAGE@
25 pkgincludedir = $(includedir)/@PACKAGE@
26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 build_triplet = @build@
39 host_triplet = @host@
40 target_triplet = @target@
41 noinst_PROGRAMS = xbt/parallel_log_crashtest$(EXEEXT) \
42         gras/trp_tcp_client$(EXEEXT) gras/trp_tcp_server$(EXEEXT) \
43         gras/trp_file_client$(EXEEXT) gras/trp_file_server$(EXEEXT) \
44         gras/datadesc_usage$(EXEEXT)
45 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
46         $(top_srcdir)/acmacro/dist-files.mk
47 subdir = teshsuite
48 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
49 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
50         $(top_srcdir)/acmacro/compiler-flags.m4 \
51         $(top_srcdir)/acmacro/context.m4 \
52         $(top_srcdir)/acmacro/fancy_configury.m4 \
53         $(top_srcdir)/acmacro/flex.m4 \
54         $(top_srcdir)/acmacro/gras_arch.m4 \
55         $(top_srcdir)/acmacro/print_null.m4 \
56         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
57 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
58         $(ACLOCAL_M4)
59 mkinstalldirs = $(install_sh) -d
60 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
61 CONFIG_CLEAN_FILES =
62 PROGRAMS = $(noinst_PROGRAMS)
63 am_gras_datadesc_usage_OBJECTS = datadesc_usage.$(OBJEXT) \
64         datadesc_structs.$(OBJEXT)
65 gras_datadesc_usage_OBJECTS = $(am_gras_datadesc_usage_OBJECTS)
66 gras_datadesc_usage_DEPENDENCIES = $(LDADD_RL)
67 am__dirstamp = $(am__leading_dot)dirstamp
68 gras_trp_file_client_SOURCES = gras/trp_file_client.c
69 gras_trp_file_client_OBJECTS = trp_file_client.$(OBJEXT)
70 gras_trp_file_client_DEPENDENCIES = $(LDADD_RL)
71 gras_trp_file_server_SOURCES = gras/trp_file_server.c
72 gras_trp_file_server_OBJECTS = trp_file_server.$(OBJEXT)
73 gras_trp_file_server_DEPENDENCIES = $(LDADD_RL)
74 gras_trp_tcp_client_SOURCES = gras/trp_tcp_client.c
75 gras_trp_tcp_client_OBJECTS = trp_tcp_client.$(OBJEXT)
76 gras_trp_tcp_client_DEPENDENCIES = $(LDADD_RL)
77 gras_trp_tcp_server_SOURCES = gras/trp_tcp_server.c
78 gras_trp_tcp_server_OBJECTS = trp_tcp_server.$(OBJEXT)
79 gras_trp_tcp_server_DEPENDENCIES = $(LDADD_RL)
80 xbt_parallel_log_crashtest_SOURCES = xbt/parallel_log_crashtest.c
81 xbt_parallel_log_crashtest_OBJECTS = parallel_log_crashtest.$(OBJEXT)
82 xbt_parallel_log_crashtest_DEPENDENCIES = $(LDADD_RL)
83 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src@am__isrc@
84 depcomp = $(SHELL) $(top_srcdir)/depcomp
85 am__depfiles_maybe = depfiles
86 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
87         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
88 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
89         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
90         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
91 CCLD = $(CC)
92 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
93         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
94         $(LDFLAGS) -o $@
95 SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
96         gras/trp_file_server.c gras/trp_tcp_client.c \
97         gras/trp_tcp_server.c xbt/parallel_log_crashtest.c
98 DIST_SOURCES = $(gras_datadesc_usage_SOURCES) gras/trp_file_client.c \
99         gras/trp_file_server.c gras/trp_tcp_client.c \
100         gras/trp_tcp_server.c xbt/parallel_log_crashtest.c
101 ETAGS = etags
102 CTAGS = ctags
103 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
104 ACLOCAL = @ACLOCAL@
105 ADDR2LINE = @ADDR2LINE@
106 AMTAR = @AMTAR@
107 AM_CPPFLAGS = @AM_CPPFLAGS@
108 AR = @AR@
109 AS = @AS@
110 AUTOCONF = @AUTOCONF@
111 AUTOHEADER = @AUTOHEADER@
112 AUTOMAKE = @AUTOMAKE@
113 AWK = @AWK@
114 BASH = @BASH@
115 CC = @CC@
116 CCDEPMODE = @CCDEPMODE@
117 CFLAGS = @CFLAGS@
118 CPP = @CPP@
119 CPPFLAGS = @CPPFLAGS@
120 CXX = @CXX@
121 CXXCPP = @CXXCPP@
122 CXXDEPMODE = @CXXDEPMODE@
123 CXXFLAGS = @CXXFLAGS@
124 CYGPATH_W = @CYGPATH_W@
125 DEFS = @DEFS@
126 DEPDIR = @DEPDIR@
127 DLLTOOL = @DLLTOOL@
128 DOXYGEN = @DOXYGEN@
129 ECHO = @ECHO@
130 ECHO_C = @ECHO_C@
131 ECHO_N = @ECHO_N@
132 ECHO_T = @ECHO_T@
133 EGREP = @EGREP@
134 EXEEXT = @EXEEXT@
135 FLEXML = @FLEXML@
136 GCJ = @GCJ@
137 GCJDEPMODE = @GCJDEPMODE@
138 GCJFLAGS = @GCJFLAGS@
139 GRAS_DEP = @GRAS_DEP@
140 GREP = @GREP@
141 INSTALL = @INSTALL@
142 INSTALL_DATA = @INSTALL_DATA@
143 INSTALL_PROGRAM = @INSTALL_PROGRAM@
144 INSTALL_SCRIPT = @INSTALL_SCRIPT@
145 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
146 JAR = @JAR@
147 JAVA = @JAVA@
148 JAVAC = @JAVAC@
149 LDFLAGS = @LDFLAGS@
150 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
151 LEX = @LEX@
152 LEXLIB = @LEXLIB@
153 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
154 LIBOBJS = @LIBOBJS@
155 LIBS = @LIBS@
156 LIBTOOL = @LIBTOOL@
157 LN_S = @LN_S@
158 LTLIBOBJS = @LTLIBOBJS@
159 MAINT = @MAINT@
160 MAKEINFO = @MAKEINFO@
161 MD5SUM = @MD5SUM@
162 MKDIR_P = @MKDIR_P@
163 OBJDUMP = @OBJDUMP@
164 OBJEXT = @OBJEXT@
165 PACKAGE = @PACKAGE@
166 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
167 PACKAGE_NAME = @PACKAGE_NAME@
168 PACKAGE_STRING = @PACKAGE_STRING@
169 PACKAGE_TARNAME = @PACKAGE_TARNAME@
170 PACKAGE_VERSION = @PACKAGE_VERSION@
171 PATH_SEPARATOR = @PATH_SEPARATOR@
172 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
173 RANLIB = @RANLIB@
174 SET_MAKE = @SET_MAKE@
175 SHELL = @SHELL@
176 SIMGRID_DEP = @SIMGRID_DEP@
177 SMPI_DEP = @SMPI_DEP@
178 STRIP = @STRIP@
179 VERSION = @VERSION@
180 WARNING = @WARNING@
181 abs_builddir = @abs_builddir@
182 abs_srcdir = @abs_srcdir@
183 abs_top_builddir = @abs_top_builddir@
184 abs_top_srcdir = @abs_top_srcdir@
185 ac_configure_args = @ac_configure_args@
186 ac_ct_CC = @ac_ct_CC@
187 ac_ct_CXX = @ac_ct_CXX@
188 am__include = @am__include@
189 am__leading_dot = @am__leading_dot@
190 am__quote = @am__quote@
191 am__tar = @am__tar@
192 am__untar = @am__untar@
193 bindir = @bindir@
194 build = @build@
195 build_alias = @build_alias@
196 build_cpu = @build_cpu@
197 build_id = @build_id@
198 build_os = @build_os@
199 build_vendor = @build_vendor@
200 builddir = @builddir@
201 datadir = @datadir@
202 datarootdir = @datarootdir@
203 docdir = @docdir@
204 dvidir = @dvidir@
205 exec_prefix = @exec_prefix@
206 host = @host@
207 host_alias = @host_alias@
208 host_cpu = @host_cpu@
209 host_os = @host_os@
210 host_vendor = @host_vendor@
211 htmldir = @htmldir@
212 includedir = @includedir@
213 infodir = @infodir@
214 install_sh = @install_sh@
215 libdir = @libdir@
216 libexecdir = @libexecdir@
217 localedir = @localedir@
218 localstatedir = @localstatedir@
219 mandir = @mandir@
220 mkdir_p = @mkdir_p@
221 oldincludedir = @oldincludedir@
222 pdfdir = @pdfdir@
223 prefix = @prefix@
224 program_transform_name = @program_transform_name@
225 psdir = @psdir@
226 pth_skaddr_makecontext = @pth_skaddr_makecontext@
227 pth_sksize_makecontext = @pth_sksize_makecontext@
228 sbindir = @sbindir@
229 sharedstatedir = @sharedstatedir@
230 srcdir = @srcdir@
231 sysconfdir = @sysconfdir@
232 target = @target@
233 target_alias = @target_alias@
234 target_cpu = @target_cpu@
235 target_os = @target_os@
236 target_vendor = @target_vendor@
237 top_builddir = @top_builddir@
238 top_srcdir = @top_srcdir@
239 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
240 AM_CFLAGS = -g
241 CLEANFILES = gras/datadesc_usage.out datadesc_usage.out
242 EXTRA_DIST = run_tests.in \
243   gras/datadesc.little32 gras/datadesc.little32_4 \
244   gras/datadesc.little64\
245   gras/datadesc.big32 gras/datadesc.big32_8_4 gras/datadesc.big32_2 \
246   gras/mk_datadesc_structs.pl
247
248 TESTS_ENVIRONMENT = $(top_builddir)/tools/tesh/tesh
249 TESTS = xbt/parallel_log_crashtest.tesh     \
250         gras/trp_tcp_usage.tesh             \
251         gras/trp_file_usage.tesh            \
252         gras/datadesc_mem.tesh          \
253         gras/datadesc_rw.tesh           \
254         gras/datadesc_r_little32.tesh   \
255         gras/datadesc_r_little32_4.tesh \
256         gras/datadesc_r_little64.tesh   
257
258 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la
259 LDADD_RL = $(abs_top_builddir)/src/libgras.la
260
261 # Try parallel logs 
262 xbt_parallel_log_crashtest_LDADD = $(LDADD_RL)
263
264 # Try raw communication facilities
265 gras_trp_tcp_client_LDADD = $(LDADD_RL)
266 gras_trp_tcp_server_LDADD = $(LDADD_RL)
267 gras_trp_file_client_LDADD = $(LDADD_RL)
268 gras_trp_file_server_LDADD = $(LDADD_RL)
269
270 # Try structured communication facilities
271 gras_datadesc_usage_SOURCES = gras/datadesc_usage.c gras/datadesc_structs.c
272 gras_datadesc_usage_LDADD = $(LDADD_RL)
273 all: all-am
274
275 .SUFFIXES:
276 .SUFFIXES: .c .lo .o .obj
277 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
278         @for dep in $?; do \
279           case '$(am__configure_deps)' in \
280             *$$dep*) \
281               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
282                 && exit 0; \
283               exit 1;; \
284           esac; \
285         done; \
286         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  teshsuite/Makefile'; \
287         cd $(top_srcdir) && \
288           $(AUTOMAKE) --gnu  teshsuite/Makefile
289 .PRECIOUS: Makefile
290 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
291         @case '$?' in \
292           *config.status*) \
293             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
294           *) \
295             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
296             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
297         esac;
298
299 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
300         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
301
302 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
303         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
304 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
305         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
306
307 clean-noinstPROGRAMS:
308         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
309           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
310           echo " rm -f $$p $$f"; \
311           rm -f $$p $$f ; \
312         done
313 gras/$(am__dirstamp):
314         @$(MKDIR_P) gras
315         @: > gras/$(am__dirstamp)
316 gras/datadesc_usage$(EXEEXT): $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_DEPENDENCIES) gras/$(am__dirstamp)
317         @rm -f gras/datadesc_usage$(EXEEXT)
318         $(LINK) $(gras_datadesc_usage_OBJECTS) $(gras_datadesc_usage_LDADD) $(LIBS)
319 gras/trp_file_client$(EXEEXT): $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_DEPENDENCIES) gras/$(am__dirstamp)
320         @rm -f gras/trp_file_client$(EXEEXT)
321         $(LINK) $(gras_trp_file_client_OBJECTS) $(gras_trp_file_client_LDADD) $(LIBS)
322 gras/trp_file_server$(EXEEXT): $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_DEPENDENCIES) gras/$(am__dirstamp)
323         @rm -f gras/trp_file_server$(EXEEXT)
324         $(LINK) $(gras_trp_file_server_OBJECTS) $(gras_trp_file_server_LDADD) $(LIBS)
325 gras/trp_tcp_client$(EXEEXT): $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_DEPENDENCIES) gras/$(am__dirstamp)
326         @rm -f gras/trp_tcp_client$(EXEEXT)
327         $(LINK) $(gras_trp_tcp_client_OBJECTS) $(gras_trp_tcp_client_LDADD) $(LIBS)
328 gras/trp_tcp_server$(EXEEXT): $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_DEPENDENCIES) gras/$(am__dirstamp)
329         @rm -f gras/trp_tcp_server$(EXEEXT)
330         $(LINK) $(gras_trp_tcp_server_OBJECTS) $(gras_trp_tcp_server_LDADD) $(LIBS)
331 xbt/$(am__dirstamp):
332         @$(MKDIR_P) xbt
333         @: > xbt/$(am__dirstamp)
334 xbt/parallel_log_crashtest$(EXEEXT): $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_DEPENDENCIES) xbt/$(am__dirstamp)
335         @rm -f xbt/parallel_log_crashtest$(EXEEXT)
336         $(LINK) $(xbt_parallel_log_crashtest_OBJECTS) $(xbt_parallel_log_crashtest_LDADD) $(LIBS)
337
338 mostlyclean-compile:
339         -rm -f *.$(OBJEXT)
340
341 distclean-compile:
342         -rm -f *.tab.c
343
344 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_structs.Po@am__quote@
345 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/datadesc_usage.Po@am__quote@
346 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parallel_log_crashtest.Po@am__quote@
347 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_client.Po@am__quote@
348 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_file_server.Po@am__quote@
349 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_client.Po@am__quote@
350 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trp_tcp_server.Po@am__quote@
351
352 .c.o:
353 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
354 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
355 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
356 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
357 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
358
359 .c.obj:
360 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
361 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
362 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
363 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
364 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
365
366 .c.lo:
367 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
368 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
369 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
370 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
371 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
372
373 datadesc_usage.o: gras/datadesc_usage.c
374 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.o -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
375 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
376 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.o' libtool=no @AMDEPBACKSLASH@
377 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
378 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.o `test -f 'gras/datadesc_usage.c' || echo '$(srcdir)/'`gras/datadesc_usage.c
379
380 datadesc_usage.obj: gras/datadesc_usage.c
381 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_usage.obj -MD -MP -MF $(DEPDIR)/datadesc_usage.Tpo -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
382 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_usage.Tpo $(DEPDIR)/datadesc_usage.Po
383 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_usage.c' object='datadesc_usage.obj' libtool=no @AMDEPBACKSLASH@
384 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
385 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_usage.obj `if test -f 'gras/datadesc_usage.c'; then $(CYGPATH_W) 'gras/datadesc_usage.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_usage.c'; fi`
386
387 datadesc_structs.o: gras/datadesc_structs.c
388 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.o -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
389 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
390 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.o' libtool=no @AMDEPBACKSLASH@
391 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
392 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.o `test -f 'gras/datadesc_structs.c' || echo '$(srcdir)/'`gras/datadesc_structs.c
393
394 datadesc_structs.obj: gras/datadesc_structs.c
395 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT datadesc_structs.obj -MD -MP -MF $(DEPDIR)/datadesc_structs.Tpo -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
396 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/datadesc_structs.Tpo $(DEPDIR)/datadesc_structs.Po
397 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/datadesc_structs.c' object='datadesc_structs.obj' libtool=no @AMDEPBACKSLASH@
398 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
399 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o datadesc_structs.obj `if test -f 'gras/datadesc_structs.c'; then $(CYGPATH_W) 'gras/datadesc_structs.c'; else $(CYGPATH_W) '$(srcdir)/gras/datadesc_structs.c'; fi`
400
401 trp_file_client.o: gras/trp_file_client.c
402 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.o -MD -MP -MF $(DEPDIR)/trp_file_client.Tpo -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
403 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_client.Tpo $(DEPDIR)/trp_file_client.Po
404 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.o' libtool=no @AMDEPBACKSLASH@
405 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
406 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.o `test -f 'gras/trp_file_client.c' || echo '$(srcdir)/'`gras/trp_file_client.c
407
408 trp_file_client.obj: gras/trp_file_client.c
409 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_client.obj -MD -MP -MF $(DEPDIR)/trp_file_client.Tpo -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
410 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_client.Tpo $(DEPDIR)/trp_file_client.Po
411 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_client.c' object='trp_file_client.obj' libtool=no @AMDEPBACKSLASH@
412 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
413 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_client.obj `if test -f 'gras/trp_file_client.c'; then $(CYGPATH_W) 'gras/trp_file_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_client.c'; fi`
414
415 trp_file_server.o: gras/trp_file_server.c
416 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.o -MD -MP -MF $(DEPDIR)/trp_file_server.Tpo -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
417 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_server.Tpo $(DEPDIR)/trp_file_server.Po
418 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.o' libtool=no @AMDEPBACKSLASH@
419 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
420 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.o `test -f 'gras/trp_file_server.c' || echo '$(srcdir)/'`gras/trp_file_server.c
421
422 trp_file_server.obj: gras/trp_file_server.c
423 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_file_server.obj -MD -MP -MF $(DEPDIR)/trp_file_server.Tpo -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
424 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_file_server.Tpo $(DEPDIR)/trp_file_server.Po
425 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_file_server.c' object='trp_file_server.obj' libtool=no @AMDEPBACKSLASH@
426 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
427 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_file_server.obj `if test -f 'gras/trp_file_server.c'; then $(CYGPATH_W) 'gras/trp_file_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_file_server.c'; fi`
428
429 trp_tcp_client.o: gras/trp_tcp_client.c
430 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.o -MD -MP -MF $(DEPDIR)/trp_tcp_client.Tpo -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
431 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_client.Tpo $(DEPDIR)/trp_tcp_client.Po
432 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.o' libtool=no @AMDEPBACKSLASH@
433 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
434 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.o `test -f 'gras/trp_tcp_client.c' || echo '$(srcdir)/'`gras/trp_tcp_client.c
435
436 trp_tcp_client.obj: gras/trp_tcp_client.c
437 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_client.obj -MD -MP -MF $(DEPDIR)/trp_tcp_client.Tpo -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
438 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_client.Tpo $(DEPDIR)/trp_tcp_client.Po
439 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_client.c' object='trp_tcp_client.obj' libtool=no @AMDEPBACKSLASH@
440 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
441 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_client.obj `if test -f 'gras/trp_tcp_client.c'; then $(CYGPATH_W) 'gras/trp_tcp_client.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_client.c'; fi`
442
443 trp_tcp_server.o: gras/trp_tcp_server.c
444 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.o -MD -MP -MF $(DEPDIR)/trp_tcp_server.Tpo -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
445 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_server.Tpo $(DEPDIR)/trp_tcp_server.Po
446 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.o' libtool=no @AMDEPBACKSLASH@
447 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
448 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.o `test -f 'gras/trp_tcp_server.c' || echo '$(srcdir)/'`gras/trp_tcp_server.c
449
450 trp_tcp_server.obj: gras/trp_tcp_server.c
451 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trp_tcp_server.obj -MD -MP -MF $(DEPDIR)/trp_tcp_server.Tpo -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
452 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trp_tcp_server.Tpo $(DEPDIR)/trp_tcp_server.Po
453 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='gras/trp_tcp_server.c' object='trp_tcp_server.obj' libtool=no @AMDEPBACKSLASH@
454 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
455 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trp_tcp_server.obj `if test -f 'gras/trp_tcp_server.c'; then $(CYGPATH_W) 'gras/trp_tcp_server.c'; else $(CYGPATH_W) '$(srcdir)/gras/trp_tcp_server.c'; fi`
456
457 parallel_log_crashtest.o: xbt/parallel_log_crashtest.c
458 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.o -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
459 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
460 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.o' libtool=no @AMDEPBACKSLASH@
461 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
462 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.o `test -f 'xbt/parallel_log_crashtest.c' || echo '$(srcdir)/'`xbt/parallel_log_crashtest.c
463
464 parallel_log_crashtest.obj: xbt/parallel_log_crashtest.c
465 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT parallel_log_crashtest.obj -MD -MP -MF $(DEPDIR)/parallel_log_crashtest.Tpo -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
466 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/parallel_log_crashtest.Tpo $(DEPDIR)/parallel_log_crashtest.Po
467 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/parallel_log_crashtest.c' object='parallel_log_crashtest.obj' libtool=no @AMDEPBACKSLASH@
468 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
469 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o parallel_log_crashtest.obj `if test -f 'xbt/parallel_log_crashtest.c'; then $(CYGPATH_W) 'xbt/parallel_log_crashtest.c'; else $(CYGPATH_W) '$(srcdir)/xbt/parallel_log_crashtest.c'; fi`
470
471 mostlyclean-libtool:
472         -rm -f *.lo
473
474 clean-libtool:
475         -rm -rf .libs _libs
476
477 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
478         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
479         unique=`for i in $$list; do \
480             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
481           done | \
482           $(AWK) '    { files[$$0] = 1; } \
483                END { for (i in files) print i; }'`; \
484         mkid -fID $$unique
485 tags: TAGS
486
487 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
488                 $(TAGS_FILES) $(LISP)
489         tags=; \
490         here=`pwd`; \
491         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
492         unique=`for i in $$list; do \
493             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
494           done | \
495           $(AWK) '    { files[$$0] = 1; } \
496                END { for (i in files) print i; }'`; \
497         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
498           test -n "$$unique" || unique=$$empty_fix; \
499           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
500             $$tags $$unique; \
501         fi
502 ctags: CTAGS
503 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
504                 $(TAGS_FILES) $(LISP)
505         tags=; \
506         here=`pwd`; \
507         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
508         unique=`for i in $$list; do \
509             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
510           done | \
511           $(AWK) '    { files[$$0] = 1; } \
512                END { for (i in files) print i; }'`; \
513         test -z "$(CTAGS_ARGS)$$tags$$unique" \
514           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
515              $$tags $$unique
516
517 GTAGS:
518         here=`$(am__cd) $(top_builddir) && pwd` \
519           && cd $(top_srcdir) \
520           && gtags -i $(GTAGS_ARGS) $$here
521
522 distclean-tags:
523         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
524
525 check-TESTS: $(TESTS)
526         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
527         srcdir=$(srcdir); export srcdir; \
528         list=' $(TESTS) '; \
529         if test -n "$$list"; then \
530           for tst in $$list; do \
531             if test -f ./$$tst; then dir=./; \
532             elif test -f $$tst; then dir=; \
533             else dir="$(srcdir)/"; fi; \
534             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
535               all=`expr $$all + 1`; \
536               case " $(XFAIL_TESTS) " in \
537               *$$ws$$tst$$ws*) \
538                 xpass=`expr $$xpass + 1`; \
539                 failed=`expr $$failed + 1`; \
540                 echo "XPASS: $$tst"; \
541               ;; \
542               *) \
543                 echo "PASS: $$tst"; \
544               ;; \
545               esac; \
546             elif test $$? -ne 77; then \
547               all=`expr $$all + 1`; \
548               case " $(XFAIL_TESTS) " in \
549               *$$ws$$tst$$ws*) \
550                 xfail=`expr $$xfail + 1`; \
551                 echo "XFAIL: $$tst"; \
552               ;; \
553               *) \
554                 failed=`expr $$failed + 1`; \
555                 echo "FAIL: $$tst"; \
556               ;; \
557               esac; \
558             else \
559               skip=`expr $$skip + 1`; \
560               echo "SKIP: $$tst"; \
561             fi; \
562           done; \
563           if test "$$failed" -eq 0; then \
564             if test "$$xfail" -eq 0; then \
565               banner="All $$all tests passed"; \
566             else \
567               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
568             fi; \
569           else \
570             if test "$$xpass" -eq 0; then \
571               banner="$$failed of $$all tests failed"; \
572             else \
573               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
574             fi; \
575           fi; \
576           dashes="$$banner"; \
577           skipped=""; \
578           if test "$$skip" -ne 0; then \
579             skipped="($$skip tests were not run)"; \
580             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
581               dashes="$$skipped"; \
582           fi; \
583           report=""; \
584           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
585             report="Please report to $(PACKAGE_BUGREPORT)"; \
586             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
587               dashes="$$report"; \
588           fi; \
589           dashes=`echo "$$dashes" | sed s/./=/g`; \
590           echo "$$dashes"; \
591           echo "$$banner"; \
592           test -z "$$skipped" || echo "$$skipped"; \
593           test -z "$$report" || echo "$$report"; \
594           echo "$$dashes"; \
595           test "$$failed" -eq 0; \
596         else :; fi
597
598 distdir: $(DISTFILES)
599         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
600         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
601         list='$(DISTFILES)'; \
602           dist_files=`for file in $$list; do echo $$file; done | \
603           sed -e "s|^$$srcdirstrip/||;t" \
604               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
605         case $$dist_files in \
606           */*) $(MKDIR_P) `echo "$$dist_files" | \
607                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
608                            sort -u` ;; \
609         esac; \
610         for file in $$dist_files; do \
611           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
612           if test -d $$d/$$file; then \
613             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
614             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
615               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
616             fi; \
617             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
618           else \
619             test -f $(distdir)/$$file \
620             || cp -p $$d/$$file $(distdir)/$$file \
621             || exit 1; \
622           fi; \
623         done
624 check-am: all-am
625         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
626 check: check-am
627 all-am: Makefile $(PROGRAMS)
628 installdirs:
629 install: install-am
630 install-exec: install-exec-am
631 install-data: install-data-am
632 uninstall: uninstall-am
633
634 install-am: all-am
635         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
636
637 installcheck: installcheck-am
638 install-strip:
639         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
640           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
641           `test -z '$(STRIP)' || \
642             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
643 mostlyclean-generic:
644
645 clean-generic:
646         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
647
648 distclean-generic:
649         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
650         -rm -f gras/$(am__dirstamp)
651         -rm -f xbt/$(am__dirstamp)
652
653 maintainer-clean-generic:
654         @echo "This command is intended for maintainers to use"
655         @echo "it deletes files that may require special tools to rebuild."
656 clean: clean-am
657
658 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
659         mostlyclean-am
660
661 distclean: distclean-am
662         -rm -rf ./$(DEPDIR)
663         -rm -f Makefile
664 distclean-am: clean-am distclean-compile distclean-generic \
665         distclean-tags
666
667 dvi: dvi-am
668
669 dvi-am:
670
671 html: html-am
672
673 info: info-am
674
675 info-am:
676
677 install-data-am:
678
679 install-dvi: install-dvi-am
680
681 install-exec-am:
682
683 install-html: install-html-am
684
685 install-info: install-info-am
686
687 install-man:
688
689 install-pdf: install-pdf-am
690
691 install-ps: install-ps-am
692
693 installcheck-am:
694
695 maintainer-clean: maintainer-clean-am
696         -rm -rf ./$(DEPDIR)
697         -rm -f Makefile
698 maintainer-clean-am: distclean-am maintainer-clean-generic
699
700 mostlyclean: mostlyclean-am
701
702 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
703         mostlyclean-libtool
704
705 pdf: pdf-am
706
707 pdf-am:
708
709 ps: ps-am
710
711 ps-am:
712
713 uninstall-am:
714
715 .MAKE: install-am install-strip
716
717 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
718         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
719         distclean distclean-compile distclean-generic \
720         distclean-libtool distclean-tags distdir dvi dvi-am html \
721         html-am info info-am install install-am install-data \
722         install-data-am install-dvi install-dvi-am install-exec \
723         install-exec-am install-html install-html-am install-info \
724         install-info-am install-man install-pdf install-pdf-am \
725         install-ps install-ps-am install-strip installcheck \
726         installcheck-am installdirs maintainer-clean \
727         maintainer-clean-generic mostlyclean mostlyclean-compile \
728         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
729         tags uninstall uninstall-am
730
731
732 gras/datadesc_structs.c: gras/mk_datadesc_structs.pl
733         cd gras ; perl ../$(top_srcdir)/teshsuite/gras/mk_datadesc_structs.pl > datadesc_structs.c
734
735 dist-files:
736         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
737         @echo
738         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
739 # Tell versions [3.59,3.63) of GNU make to not export all variables.
740 # Otherwise a system limit (for SysV at least) may be exceeded.
741 .NOEXPORT: